Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Inherited Constants | Fields | Ctors | Methods | Inherited Methods | [Expand All]
public final class

# MarkerOptions

extends Object
implements Parcelable

java.lang.Object
↳ | com.google.android.gms.maps.model.MarkerOptions

## Class Overview

Defines MarkerOptions for a marker.

### Developer Guide

For more information, read the Markers developer guide.

## Summary

[Expand] Inherited Constants

From interface android.os.Parcelable

int | CONTENTS_FILE_DESCRIPTOR |
int | PARCELABLE_WRITE_RETURN_VALUE |

Fields
public static final MarkerOptionsCreator | CREATOR |

Public Constructors
| MarkerOptions() Creates a new set of marker options.

Public Methods
MarkerOptions | alpha(float alpha) Sets the alpha (opacity) of the marker.
MarkerOptions | anchor(float u, float v) Specifies the anchor to be at a particular point in the marker image.
int | describeContents()
MarkerOptions | draggable(boolean draggable) Sets the draggability for the marker.
MarkerOptions | flat(boolean flat) Sets whether this marker should be flat against the map `true` or a billboard facing the camera `false`.
float | getAlpha() Gets the alpha set for this MarkerOptions object.
float | getAnchorU() Horizontal distance, normalized to [0, 1], of the anchor from the left edge.
float | getAnchorV() Vertical distance, normalized to [0, 1], of the anchor from the top edge.
BitmapDescriptor | getIcon() Gets the custom icon set for this MarkerOptions object.
float | getInfoWindowAnchorU() Horizontal distance, normalized to [0, 1], of the info window anchor from the left edge.
float | getInfoWindowAnchorV() Vertical distance, normalized to [0, 1], of the info window anchor from the top edge.
LatLng | getPosition() Returns the position set for this MarkerOptions object.
float | getRotation() Gets the rotation set for this MarkerOptions object.
String | getSnippet() Gets the snippet set for this MarkerOptions object.
String | getTitle() Gets the title set for this MarkerOptions object.
MarkerOptions | icon(BitmapDescriptor icon) Sets the icon for the marker.
MarkerOptions | infoWindowAnchor(float u, float v) Specifies the anchor point of the info window on the marker image.
boolean | isDraggable() Gets the draggability setting for this MarkerOptions object.
boolean | isFlat() Gets the flat setting for this MarkerOptions object.
boolean | isVisible() Gets the visibility setting for this MarkerOptions object.
MarkerOptions | position(LatLng position) Sets the location for the marker.
MarkerOptions | rotation(float rotation) Sets the rotation of the marker in degrees clockwise about the marker's anchor point.
MarkerOptions | snippet(String snippet) Sets the snippet for the marker.
MarkerOptions | title(String title) Sets the title for the marker.
MarkerOptions | visible(boolean visible) Sets the visibility for the marker.
void | writeToParcel(Parcel out, int flags)

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

From interface android.os.Parcelable

abstract int | describeContents()
abstract void | writeToParcel(Parcel arg0, int arg1)

## Fields

#### public static final MarkerOptionsCreator CREATOR

## Public Constructors

#### public MarkerOptions ()

Creates a new set of marker options.

## Public Methods

#### public MarkerOptions alpha (float alpha)

Sets the alpha (opacity) of the marker. This is a value from 0 to 1, where 0 means the marker is completely transparent and 1 means the marker is completely opaque.

##### Returns

- the object for which the method was called, with the new alpha set.

#### public MarkerOptions anchor (float u, float v)

Specifies the anchor to be at a particular point in the marker image.

The anchor specifies the point in the icon image that is anchored to the marker's position on the Earth's surface.

The anchor point is specified in the continuous space [0.0, 1.0] x [0.0, 1.0], where (0, 0) is the top-left corner of the image, and (1, 1) is the bottom-right corner. The anchoring point in a W x H image is the nearest discrete grid point in a (W + 1) x (H + 1) grid, obtained by scaling the then rounding. For example, in a 4 x 2 image, the anchor point (0.7, 0.6) resolves to the grid point at (3, 1).

     *-----+-----+-----+-----*
     |     |     |     |     |
     |     |     |     |     |
     +-----+-----+-----+-----+
     |     |     |   X |     |   (U, V) = (0.7, 0.6)
     |     |     |     |     |
     *-----+-----+-----+-----*

     *-----+-----+-----+-----*
     |     |     |     |     |
     |     |     |     |     |
     +-----+-----+-----X-----+   (X, Y) = (3, 1)
     |     |     |     |     |
     |     |     |     |     |
     *-----+-----+-----+-----*

##### Parameters

u | u-coordinate of the anchor, as a ratio of the image width (in the range [0, 1])
v | v-coordinate of the anchor, as a ratio of the image height (in the range [0, 1])

##### Returns

- the object for which the method was called, with the new anchor set.

#### public int describeContents ()

#### public MarkerOptions draggable (boolean draggable)

Sets the draggability for the marker.

##### Returns

- the object for which the method was called, with the new draggable state set.

#### public MarkerOptions flat (boolean flat)

Sets whether this marker should be flat against the map `true` or a billboard facing the camera `false`. If the marker is flat against the map, it will remain stuck to the map as the camera rotates and tilts but will still remain the same size as the camera zooms, unlike a `GroundOverlay`. If the marker is a billboard, it will always be drawn facing the camera and will rotate and tilt with the camera. The default value is `false`.

##### Returns

- the object for which the method was called, with the new flat state set.

#### public float getAlpha ()

Gets the alpha set for this MarkerOptions object.

##### Returns

- the alpha of the marker in the range [0, 1].

#### public float getAnchorU ()

Horizontal distance, normalized to [0, 1], of the anchor from the left edge.

##### Returns

- the u value of the anchor.

#### public float getAnchorV ()

Vertical distance, normalized to [0, 1], of the anchor from the top edge.

##### Returns

- the v value of the anchor.

#### public BitmapDescriptor getIcon ()

Gets the custom icon set for this MarkerOptions object.

##### Returns

- An `BitmapDescriptor` representing the custom icon, or `null` if no custom icon is set.

#### public float getInfoWindowAnchorU ()

Horizontal distance, normalized to [0, 1], of the info window anchor from the left edge.

##### Returns

- the u value of the info window anchor.

#### public float getInfoWindowAnchorV ()

Vertical distance, normalized to [0, 1], of the info window anchor from the top edge.

##### Returns

- the v value of the info window anchor.

#### public LatLng getPosition ()

Returns the position set for this MarkerOptions object.

##### Returns

- A `LatLng` object specifying the marker's current position.

#### public float getRotation ()

Gets the rotation set for this MarkerOptions object.

##### Returns

- the rotation of the marker in degrees clockwise from the default position.

#### public String getSnippet ()

Gets the snippet set for this MarkerOptions object.

##### Returns

- A string containing the marker's snippet.

#### public String getTitle ()

Gets the title set for this MarkerOptions object.

##### Returns

- A string containing the marker's title.

#### public MarkerOptions icon (BitmapDescriptor icon)

Sets the icon for the marker.

##### Parameters

icon | if null, the default marker is used.

##### Returns

- the object for which the method was called, with the new icon set.

#### public MarkerOptions infoWindowAnchor (float u, float v)

Specifies the anchor point of the info window on the marker image. This is specified in the same coordinate system as the anchor. See `anchor(float, float)` for more details. The default is the top middle of the image.

##### Parameters

u | u-coordinate of the info window anchor, as a ratio of the image width (in the range [0, 1])
v | v-coordinate of the info window anchor, as a ratio of the image height (in the range [0, 1])

##### Returns

- the object for which the method was called, with the new info window anchor set.

#### public boolean isDraggable ()

Gets the draggability setting for this MarkerOptions object.

##### Returns

- `true` if the marker is draggable; otherwise, returns `false`.

#### public boolean isFlat ()

Gets the flat setting for this MarkerOptions object.

##### Returns

- `true` if the marker is flat against the map; `false` if the marker should face the camera.

#### public boolean isVisible ()

Gets the visibility setting for this MarkerOptions object.

##### Returns

- `true` if the marker is visible; otherwise, returns `false`.

#### public MarkerOptions position (LatLng position)

Sets the location for the marker.

##### Returns

- the object for which the method was called, with the new position set.

#### public MarkerOptions rotation (float rotation)

Sets the rotation of the marker in degrees clockwise about the marker's anchor point. The axis of rotation is perpendicular to the marker. A rotation of 0 corresponds to the default position of the marker. When the marker is flat on the map, the default position is North aligned and the rotation is such that the marker always remains flat on the map. When the marker is a billboard, the default position is pointing up and the rotation is such that the marker is always facing the camera. The default value is 0.

##### Returns

- the object for which the method was called, with the new rotation set.

#### public MarkerOptions snippet (String snippet)

Sets the snippet for the marker.

##### Returns

- the object for which the method was called, with the new snippet set.

#### public MarkerOptions title (String title)

Sets the title for the marker.

##### Returns

- the object for which the method was called, with the new title set.

#### public MarkerOptions visible (boolean visible)

Sets the visibility for the marker.

##### Returns

- the object for which the method was called, with the new visibility state set.

#### public void writeToParcel (Parcel out, int flags)